﻿<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <link href="/css/bootstrap.min.css" rel="stylesheet" />
    <script src="/js/jquery.min.js"></script>
    <link href="/Reports/Css/Report.css" rel="stylesheet" />
    <script src="/js/bootstrap.min.js"></script>
    <style>

        @media print {
            #btnPrint {
                display: none;
            }
        }

        legend {
            border-bottom: 1px solid #5f7c8a;
        }

        .tableCSS > tbody > tr > td,
        .tableCSS > thead > tr > td,
        .tableCSS > tfoot > tr > td {
            border: 1px solid #5f7c8a;
        }

        pre {
            border: none !important;
        }
    </style>
    <title></title>
</head>
<body style="font-family: Arial; font-size: 12px">
    <div class="table-responsive" id="PrintTable">
        <div style="margin-bottom: 5px;">
            <div class="row" style="margin-bottom: 5px;width:100%">
                <div class="col-md-4 col-lg-4 col-sm-4 text-left">
                    <img src="" id="PrintLogo" height="40" />
                </div>
                <div class="col-md-4 col-lg-4 col-sm-4 text-center" style="margin-top: 0.5%; font-size: 12px; color: black; font-weight: bold;">
                    Driver Log - <span id="CompanyDistributerName"></span>
                    <br />
                    <span class="text-center DateRangeCSS" style="font-size: 12px; color: black;" id="DateRange"></span>

                </div>
                <div class="col-md-4 col-lg-4 col-sm-4 text-right" id="PrintDate" style="line-height: 3; font-size: 12px; color: black; font-weight: bold;">Print Date</div>
            </div>

            <table class="MyTableHeader PrintMyTableHeader" id="tblDriverDetails">
                <thead>
                    <tr>
                        <td class="SalesPerson text-center wt7" style="white-space:nowrap">Sales Person</td>
                        <td class="DriverNames text-center wt7">Driver Name</td>
                        <td class="StopNo text-center wt4" style="width:47px">Stop No.</td>
                        <td class="CustomerName wt25" style="text-align:left;word-wrap:break-word;width:253px">Customer Name/ Ship to Address</td>
                        <!--<td class="NOOfOrders text-center wt4" style="width:47px">Orders</td>-->
                        <td class="OrderNo" style="text-align:left;width: 90px;">Order No(s)</td>
                        <td class="Status" style="text-align:left;width: 90px;">Status</td>
                        <td class="StoreOpenTime wt5" style="width:102px">Store Open Hours</td>
                        <td class="SuggestedTime wt5" style="width:102px">Requested Delivery Hours</td>
                        <td class="AssignDeliveryTime wt5" style="width:102px">Scheduled Delivery Time</td>
                        <td class="DeliveryTime wt5" style="width:102px">Actual Delivery Time</td>
                        <td class="Remark wt7">Driver Remarks<br />[Sales Person/Sales Manager]</td>
                        <td class="AcctRemarks wt7">Account Remarks</td>
                    </tr>
                </thead>
                <tbody></tbody>
            </table>

        </div>
    </div>

    <script type="text/javascript">
        var Check = '';
        $(document).ready(function () {
            var getQueryString = function (field, url) {
                var href = url ? url : window.location.href;
                var reg = new RegExp('[?&]' + field + '=([^&#]*)', 'i');
                var string = reg.exec(href);
                return string ? string[1] : null;
            };
            Check = getQueryString('dt');
            if (Check == 1) {
                CreateTable1();
            } else {
                CreateTable();
            }


        });

        function CreateTable1() {
            var data = JSON.parse(localStorage.getItem("DriverLog_PrintAll"));
            $.ajax({
                type: "POST",
                async: false,
                url: "Optimo_RouteReport.aspx/GetAllPrintDriverDetails",
                data: "{'dataValue':'" + JSON.stringify(data) + "'}",
                contentType: "application/json; charset=utf-8",
                datatype: "json",
                beforeSend: function () {

                },
                complete: function () {

                },
                success: successofFun,
            });
        }

        function CreateTable() {
            var data = localStorage.getItem("DriverLog_Print");
            $.ajax({
                type: "POST",
                async: false,
                url: "Optimo_RouteReport.aspx/GetPrintDriverDetails",
                data: "{'dataValue':'" + data + "'}",
                contentType: "application/json; charset=utf-8",
                datatype: "json",
                beforeSend: function () {

                },
                complete: function () {

                },
                success: successofFun,
            });
        }

        function successofFun(response) {
            if (response.d != "Session Expired") {
                if (response.d == 'false') {
                }
                else {
                    var xmldoc = $.parseXML(response.d);
                    var Report = $(xmldoc).find("Table");
                    var printdetails = $(xmldoc).find("Table1");
                    $('#CompanyDistributerName').html($(printdetails).find('CompanyDistributerName').text());
                    $("#PrintDate").text("Print Date: " + $(printdetails).find('PrintTime').text());
                    var html = '', StopNo = '';
                    $("#tblDriverDetails tbody tr").remove();
                    if (Report.length > 0) {
                        $("#EmptyTable34").hide();
                        $("#ShowDriverDetails").modal('show');
                        debugger;
                        if (Check == 1) {
                            $("#tblDriverDetails thead .DriverNames").show();
                        } else {
                            $("#tblDriverDetails thead .DriverNames").hide();
                        }
                        var cus_Name = '';
                        $.each(Report, function (index) {
                            if (index == 0 && Check != 1) {
                                    $('#DateRange').html($(this).find("DriverName").text());
                                }
                            if (Number($(this).find("NOOfOrder").text()) == 1) {
                                
                                html += '<tr><td style="white-space:nowrap">' + $(this).find("SalesPerson").text() + '</td>'
                                if (Check == 1) {
                                    html += '<td>' + $(this).find("DriverName").text() + '</td>'
                                }

                                html += '<td>' + $(this).find("StopNo").text() + '</td>'
                                html += '<td>' + $(this).find("CustomerName").text() + '</td>'
                                html += '<td>' + $(this).find("OrderNo").text() + '</td>'
                                html += '<td>' + $(this).find("Status").text() + '</td>'
                                html += '<td>' + $(this).find("StoreOpenTime").text() + '</td>'
                                html += '<td>' + $(this).find("SuggestedTime").text() + '</td>'
                                html += '<td>' + $(this).find("AssignDeliverytime").text() + '</td>'
                                html += '<td>' + $(this).find("DelivereTime").text() + '</td>'
                                html += '<td>' + $(this).find("Remark").text() + '</td>'
                                html += '<td>' + $(this).find("AcctRemarks").text() + '</td></tr>'
                                StopNo = $(this).find("StopNo").text();
                                cus_Name = $(this).find("CustomerId").text();

                            }
                            else {
                                if (cus_Name != $(this).find("CustomerId").text()) {
                                    html += '<tr><td>' + $(this).find("SalesPerson").text() + '</td>'
                                    if (Check == 1) {
                                        html += '<td>' + $(this).find("DriverName").text() + '</td>'
                                    }
                                    html += '<td rowspan=' + $(this).find("NOOfOrder").text() + '>' + $(this).find("StopNo").text() + '</td>'
                                    html += '<td rowspan=' + $(this).find("NOOfOrder").text() + '>' + $(this).find("CustomerName").text() + '</td>'
                                    html += '<td>' + $(this).find("OrderNo").text() + '</td>'
                                    html += '<td>' + $(this).find("Status").text() + '</td>'
                                    html += '<td rowspan=' + $(this).find("NOOfOrder").text() + '>' + $(this).find("StoreOpenTime").text() + '</td>'
                                    html += '<td rowspan=' + $(this).find("NOOfOrder").text() + '>' + $(this).find("SuggestedTime").text() + '</td>'
                                    html += '<td rowspan=' + $(this).find("NOOfOrder").text() + '>' + $(this).find("AssignDeliverytime").text() + '</td>'
                                    html += '<td>' + $(this).find("DelivereTime").text() + '</td>'
                                    html += '<td>' + $(this).find("Remark").text() + '</td>'
                                    html += '<td>' + $(this).find("AcctRemarks").text() + '</td></tr>';
                                }
                                else {
                                    html += '<tr>'
                                    html += '<td>' + $(this).find("SalesPerson").text() + '</td>';
                                    if (Check == 1) {
                                        html += '<td>' + $(this).find("DriverName").text() + '</td>'
                                    }
                                    html += '<td>' + $(this).find("OrderNo").text() + '</td>';
                                    html += '<td>' + $(this).find("Status").text() + '</td>'
                                    html += '<td>' + $(this).find("DelivereTime").text() + '</td>'
                                    html += '<td>' + $(this).find("Remark").text() + '</td>'
                                    html += '<td>' + $(this).find("AcctRemarks").text() + '</td></tr>';
                                }
                                cus_Name = $(this).find("CustomerId").text();
                                StopNo = $(this).find("StopNo").text();

                            }
                        });

                        $("#tblDriverDetails tbody").append(html);
                    }
                    else {
                        $("#EmptyTable34").show();
                    }
                    var data = '';
                    if (Check == 1) {
                        data = localStorage.getItem("DriverLog_PrintAll");
                    } else {
                        data = localStorage.getItem("DriverLog_Print");
                    }

                    var P_data = JSON.parse(data)

                    $("#PrintLogo").attr("src", "/Img/logo/" + P_data.images);
                    window.print();
                }
            }
            else {
                location.href = "/";
            }
        }
    </script>
</body>
</html>